// {} Librerías e importaciones

// ! Tabla
import { parametros } from "../../../utilidades.js";
import Tabla from "../../elementos/tabla.js";


// {}
(async () => {

	// ! Declaración de variables
	let
		peticion = { actual: null },
		campo = {
			turno: window.aplicacion.campo.selector.turno
		}
	;

	// !
	$(id_usuario_trabajar).on('change', function () {

		// +
		if(!this.value)
			return
		;

		// +
		campo.turno.parametros();
		campo.turno.peticion('opciones');

		// + Condición para verificar si la
    // + petición existe y cancelarla
    peticion.actual && peticion.actual.abort();

    // + Petición hacía el
    // + controlador 'traerRegistros'
    peticion.actual = $.ajax({
      url: `${window.aplicacion.enlace}/ejecutar`,
      type: 'GET',
      data: {
        procedimiento: 'p_traer_unico_registro',
        renglon: 'USUARIO',
				id_renglon: this.value
      },
      beforeSend: function(peticion, configuracion) {},
      success: function(respuesta, estado, peticion) {},
      error: function(peticion, estado) {},
      complete: function(peticion, estado) {},
      formulario: { elemento: formularioAperturaCaja }
    })

	});



})()
